#
# spec file for package ghc-parsers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name parsers
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.12.5
Release:        lp150.1.8
Summary:        Parsing combinators
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-orphans-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-charset-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-quickcheck-instances-devel
%endif

%description
This library provides convenient combinators for working with and building
parsing combinator libraries.

Given a few simple instances, e.g. for the class
'Text.Parser.Combinators.Parsing' in "Text.Parser.Combinators.Parsing" you get
access to a large number of canned definitions. Instances exist for the parsers
provided by 'parsec', 'attoparsec' and base’s "Text.Read".

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.markdown README.markdown

%changelog
* Mon Jun 12 2017 psimons@suse.com
- Update to version 0.12.5.
* Sat May 27 2017 psimons@suse.com
- Update to version 0.12.4 revision 1.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.12.4 revision 0 with cabal2obs.
* Wed Jun  1 2016 mimi.vx@gmail.com
- update to 0.12.4
  * Allow transformers 0.5
* Mon Dec 28 2015 mimi.vx@gmail.com
- initial commit
